{
    apiVersion: "argoproj.io/v1alpha1",
    kind: "Application",
    metadata: {
        name: "helm-guestbook",
        namespace: "argo",
        finalizers: [
            "resources-finalizer.argocd.argoproj.io"
        ]
    },
    spec: {
        destination: {
            namespace: "helm-guestbook",
            server: "https://kubernetes.default.svc"
        },
        project: "default",
        source: {
            path: "helm-guestbook",
            repoURL: "https://github.com/argoproj/argocd-example-apps",
            targetRevision: "HEAD"
        },
        syncPolicy: {
            syncOptions: [
                "CreateNamespace=true"
            ]
        }
    }
}
